//---------------------------------------------------------------------------
#ifndef MainH
#define MainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TMainSc : public TForm
{
__published:	// IDE-managed Components
    TTreeView *TreeList;
    TBevel *Bevel1;
    TPanel *Panel1;
    TSpeedButton *ButtonSave;
    TMainMenu *MainMenu1;
    TMenuItem *File;
    TMenuItem *FSave;
    TMenuItem *N1;
    TMenuItem *FExit;
    TMenuItem *Help;
    TMenuItem *HAbout;
    TEdit *Name;
    TEdit *PictureBox;
    TEdit *TriBox;
    TEdit *DurBox;
    TEdit *MolyBox;
    TEdit *FuelBox;
    TEdit *CrewBox;
    TEdit *EngBox;
    TEdit *MassBox;
    TEdit *TechBox;
    TEdit *CargoBox;
    TEdit *BaysBox;
    TEdit *TubeBox;
    TEdit *BeamBox;
    TEdit *CostBox;
    TLabel *Label1;
    TLabel *Label2;
    TLabel *Label4;
    TLabel *Label5;
    TLabel *Label6;
    TLabel *Label7;
    TLabel *Label8;
    TLabel *Label9;
    TLabel *Label10;
    TLabel *Label11;
    TLabel *Label12;
    TLabel *FightLabel;
    TLabel *TubeLabel;
    TLabel *Label15;
    TLabel *Label16;
    TRadioGroup *AuxType;
    TGroupBox *GroupBox1;
    TCheckBox *FedCheck;
    TCheckBox *LizardCheck;
    TCheckBox *BirdCheck;
    TCheckBox *FascistCheck;
    TCheckBox *PrivCheck;
    TCheckBox *CyborgCheck;
    TCheckBox *CrystalCheck;
    TCheckBox *EmpireCheck;
    TCheckBox *BotCheck;
    TCheckBox *RebelCheck;
    TCheckBox *ColoniesCheck;
    void __fastcall TreeListChange(TObject *Sender, TTreeNode *Node);
    void __fastcall AuxTypeClick(TObject *Sender);
    void __fastcall ButtonSaveClick(TObject *Sender);
    void __fastcall FExitClick(TObject *Sender);
    void __fastcall FSaveClick(TObject *Sender);
    void __fastcall HAboutClick(TObject *Sender);
    void __fastcall FormCreate(TObject *Sender);
private:	// User declarations
public:		// User declarations
    void __fastcall LoadTreeView(TObject* Sender);
    void __fastcall LoadHullData(TObject *Sender);
    void __fastcall CheckTrueHullBox(TObject* Sender, int raceNum);
    void __fastcall HullSave(TObject* Sender);
    void __fastcall CheckSave(TObject* Sender, short racenum);
    void __fastcall RemoveCheck(TObject* Sender, short racenum);
    __fastcall TMainSc(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TMainSc *MainSc;
//---------------------------------------------------------------------------
#endif
