/*	This file is like Beamspecs.h except that it deals with engines and needs to be 598 bytes
	long */

#ifndef FSTREAM_H
#define FSTREAM_H

#include <fstream.h>

#endif

#ifndef ENGSPECS_H
#define ENGSPECS_H

typedef short word;
typedef long dword;

class VEngSpec
{
private:
	char name[20];
	word cost;
	word tritanium;
	word duranium;
	word molybdenum;
	word tech_level;
	dword milage[9];
public:
	char* GetName() { char* PName = name;  return PName; }
	short GetCost() { return cost; }
	short GetTritanium() { return tritanium; }
	short GetDuranium() { return duranium; }
	short GetMolybdenum() { return molybdenum; }
	short GetTechLevel() { return tech_level; }
	long GetMilage(int index_num) { return milage[index_num]; }

	void SetName(char* NName) 
	{
		for (int i=0; i<20; i++)
		{
			name[i] = *NName;
			NName++;
		}
	}
	void SetCost(short newCost) { cost = newCost; }
	void SetTritanium(short newTri) { tritanium = newTri; }
	void SetDuranium(short newDur) { duranium = newDur; }
	void SetMoybdenum(short newMoly) { molybdenum = newMoly; }

	void readFile(int pos, char* filename)
	{
		ifstream infile(filename, ios::binary);
		infile.seekg(pos*66);
		infile.read((char*)this, sizeof(*this) );
	}

	void writeFile(int pos)
	{
		ofstream outfile("ENGSPEC.DAT", ios::binary);
		outfile.seekp(pos*sizeof(VEngSpec));
		outfile.write((char*)this, sizeof(*this));
	}
};

#endif