/*	The purpose of this file is to allow the end user to re-distribute the ships in the game.
	i.e. to change which ships each race is allowed to build.  */

#ifndef FSTERAM_H
#define FSTREAM_H

#include <fstream.h>
#endif

#ifndef TRUEHULL_H
#define TRUEHULL_H

typedef short word;

class VTrueHull
{
private:
	word shiparray[20];
public:
	short getShipx(int inpos) { return shiparray[inpos]; }
	void setShipx(short shipNum, short inpos) { shiparray[inpos] = shipNum; }

	void readFile(int pos)
	{
		ifstream infile("TRUEHULL.DAT", ios::binary);
		infile.seekg(pos*sizeof(VTrueHull));
		infile.read((char*)this, sizeof(*this) );
	}

	void writeFile(int pos)
	{
		ofstream outfile("TRUEHULL.DAT", ios::binary);
		outfile.seekp(pos*sizeof(VTrueHull));
		outfile.write((char*)this, sizeof(*this));
	}
};

#endif;